
Auto Multiple Choice - Bug # 895: Nautilus empêche la correction des copies

Status: Closed Priority: Normal
Author: nine dufo Category:
Description: Bonsoir

AMC ne corrige pas les copies. Toutes mes copies sont notées 0 à chaque question et 0/20 en haut
Après avoir fait "rapport" /"annoter" / "voir", j'obtiens ce message d'erreur: *"la commande suivante n'a pas pu 
être exécuter: Nautilus. Peut-être est-ce dû à une mauvaise configuration?"*
Je joins le pdf des copies de 3 élèves sélectionnés.
Est-ce quelqu'un peut m'aider?
Si je peux éviter de désinstaller et réinstaller, j'avoue que ça m'arrangerait car j'ai une centaine de copies!!!
Bonne soirée
Sandrine

History
11/16/2023 09:03 pm - Alexis Bienvenüe
Pouvez-vous relancer le calcul des notes en mode débogage et poster le fichier @log@ produit ?

11/16/2023 09:11 pm - nine dufo
- File AMC-DEBUG-pZSAmDqZ.log added

Alexis Bienvenüe wrote:
> Pouvez-vous relancer le calcul des notes en mode débogage et poster le fichier @log@ produit ?

Est-ce que c'est ce fichier?
Je suis prof de français et peu douée en informatique!

11/16/2023 09:24 pm - Alexis Bienvenüe
- File calcul.png added

C'est bien ce fichier, mais je voulais voir l'étape de calcul des notes (« correction ») en mode débogage, et non l'étape d'annotation des copies.
!calcul.png!

11/16/2023 09:31 pm - nine dufo
Alexis Bienvenüe wrote:
> C'est bien ce fichier, mais je voulais voir l'étape de calcul des notes (« correction ») en mode débogage, et non l'étape d'annotation des copies.

J'ai fait la manipulation mais il me semble que c'est le même fichier

11/16/2023 09:34 pm - nine dufo
nine dufo wrote:
> Alexis Bienvenüe wrote:
> > C'est bien ce fichier, mais je voulais voir l'étape de calcul des notes (« correction ») en mode débogage, et non l'étape d'annotation des copies.
> 
> J'ai fait la manipulation mais il me semble que c'est le même fichier

arghhh, j'ai un message d'erreur chaque fois que j'essaie d'envoyer le fichier
11/16/2023 09:38 pm - nine dufo
- File AMC-DEBUG-WnYAgXHj.log added

nine dufo wrote:
> nine dufo wrote:
> > Alexis Bienvenüe wrote:
> > > C'est bien ce fichier, mais je voulais voir l'étape de calcul des notes (« correction ») en mode débogage, et non l'étape d'annotation des copies.
> > 
> > J'ai fait la manipulation mais il me semble que c'est le même fichier
> 
> arghhh, j'ai un message d'erreur chaque fois que j'essaie d'envoyer le fichier

11/16/2023 09:49 pm - Alexis Bienvenüe
Merci.
C'est bizarre : la compilation pour extraire le barème produit des erreurs.
Pouvez-vous poster les fichiers source.txt et DOC-filtered.tex de votre répertoire projet ?

11/16/2023 10:02 pm - nine dufo
- File DOC-filtered.tex added

Alexis Bienvenüe wrote:
> Merci.
> C'est bizarre : la compilation pour extraire le barème produit des erreurs.
> Pouvez-vous poster les fichiers source.txt et DOC-filtered.tex de votre répertoire projet ?

Le fichier "source" pèse 0 ko. Même moi je trouve ça suspect!

11/16/2023 10:03 pm - nine dufo
nine dufo wrote:
> Alexis Bienvenüe wrote:
> > Merci.
> > C'est bizarre : la compilation pour extraire le barème produit des erreurs.
> > Pouvez-vous poster les fichiers source.txt et DOC-filtered.tex de votre répertoire projet ?
> 
> Le fichier "source" pèse 0 ko. Même moi je trouve ça suspect!

11/16/2023 10:08 pm - nine dufo
- File QCM_La_Tresse_source.docx added

nine dufo wrote:
> nine dufo wrote:
> > Alexis Bienvenüe wrote:
> > > Merci.
> > > C'est bizarre : la compilation pour extraire le barème produit des erreurs.
> > > Pouvez-vous poster les fichiers source.txt et DOC-filtered.tex de votre répertoire projet ?
> > 
> > Le fichier "source" pèse 0 ko. Même moi je trouve ça suspect!

Je crois que le fichier source n'est pas envoyé mais je garde toujours une version word de mes tests et voilà ce que j'ai copié collé pour faire le QCM.
J'ai juste enlevé la partie en jaune fluo car ce qcm est très court et je voulais qu'il tienne sur une seule page
J'ai donc enlevé:
ManualDuplex: 1
# rajoute une page pour avoir des sujet en nb impair

11/16/2023 10:13 pm - Alexis Bienvenüe
Est-ce que vous avez imprimé des copies à l'aide d'AMC ? Dans ce cas vous devriez avoir un fichier zip dont le nom commence par @saved@ dans 
votre répertoire fichier, avec normalement votre fichier source sauvegardé dedans.
Si vous pouvez recréer votre fichier source à l'identique à partir de votre fichier word, le calcul des notes (puis l'annotation des copies) devrait 
fonctionner de nouveau.

11/16/2023 10:23 pm - Alexis Bienvenüe
(si vous avez peur de tout casser, vous pouvez toujours faire un clone de votre projet et travailler dessus)

11/16/2023 10:39 pm - nine dufo
Alexis Bienvenüe wrote:
> Est-ce que vous avez imprimé des copies à l'aide d'AMC ? Dans ce cas vous devriez avoir un fichier zip dont le nom commence par @saved@ dans 
votre répertoire fichier, avec normalement votre fichier source sauvegardé dedans.
> Si vous pouvez recréer votre fichier source à l'identique à partir de votre fichier word, le calcul des notes (puis l'annotation des copies) devrait 
fonctionner de nouveau.

J'ai réussi!!!
Merci infiniment pour votre aide et le temps que vous passez à aider les autres. Sans vous, j'aurais renoncé

Et pour info, je n'ai pas trouvé le fichier dont vous parlez alors j'ai tenté ma chance en copiant collant mon doc word ds le fichier source (Préparation / 
éditer le fichier source / save). 
Bonne soirée et encore merci

11/17/2023 07:57 am - Alexis Bienvenüe
- Status changed from New to Closed

- % Done changed from 0 to 100

Bravo.
C'est bizarre que ce fichier ait disparu.
Pour les prochains projets, vous pouvez faire une sauvegarde du répertoire projet sous la forme d'un fichier zip par exemple au moment où vous allez 
imprimer les copies…

Files
Etudiants_selectionnes.pdf 104.2 kB 11/16/2023 nine dufo
AMC-DEBUG-pZSAmDqZ.log 907.3 kB 11/16/2023 nine dufo
calcul.png 21 kB 11/16/2023 Alexis Bienvenüe
AMC-DEBUG-WnYAgXHj.log 113.1 kB 11/16/2023 nine dufo
DOC-filtered.tex 739 Bytes 11/16/2023 nine dufo
QCM_La_Tresse_source.docx 14.8 kB 11/16/2023 nine dufo
